/*
 * Napisati program koji e crtati krugove razliitih
 * boja i veliina na platno, svaki put na sluajno odabrano mjesto
 * na platnu sve dok se ne napravi klik mia. Na klik mia
 * izbrisati sve nacrtane krugove i poeti crtanje iznova.
 *  
 */

import java.awt.Color;
import java.awt.event.MouseEvent;

import acm.graphics.*;
import acm.program.*;
import acm.util.RandomGenerator;

public class Zadatak2 extends GraphicsProgram  
{
	public void init()
	{
		addMouseListeners();
	}
	
	public void mouseClicked(MouseEvent e)
	{
		removeAll();
	}
	
	
      public void run()
      {
    	  waitForClick();
    	  int sirina=0, visina=0;
    	  sirina=getWidth();
    	  visina=getHeight();    
    	  
    	  int x=gen.nextInt(3,(sirina+visina)/2);
    	  int y=gen.nextInt(3,(sirina+visina)/2);
    	  int r=gen.nextInt(3,(sirina+visina)/8);
    	  Color boja=gen.nextColor();
    	  GOval krug=new GOval(x,y,r,r);
    	  
    	  while(true)
    	  {
    		  x=gen.nextInt(3,(sirina+visina)/2);
    		  y=gen.nextInt(3,(sirina+visina)/2);
    		  r=gen.nextInt(3,(sirina+visina)/8);
    		  boja=gen.nextColor();
    		  krug=new GOval(x,y,r,r);
    		  krug.setFilled(true);
    		  krug.setFillColor(boja);
    		  add(krug);
    		  pause(500);
    	  }
    	  
      }      
      
      private RandomGenerator gen=RandomGenerator.getInstance();
}